#include "kwlanapplication.h"
#include "kwlanmainwin.h"
#include "kwlaninterface.h"
#include "kwlansuprocess.h"
#include "dialup.h"

#include <klocale.h>
#include <qstringlist.h>
#include <kprocess.h>
#include <qdir.h>
#include <kdebug.h>

KWlanApplication::KWlanApplication(bool allowStyles, bool GUIenabled, bool configUnique)
    : KUniqueApplication(allowStyles, GUIenabled, configUnique)
{
}

 KWlanApplication::~KWlanApplication()
{
}

void KWlanApplication::init()
{
    QDir dir;
    // First check for existing directory for dialup networking
    if (dir.exists("/etc/ppp/peers"))
    {
        // ppp peers directory exists, now check for kwlan dir
        if (!dir.exists(PPP_PEERS))
        {
            KWlanSuProcess *proc = new KWlanSuProcess();
            *proc << "mkdir" << PPP_PEERS;
            proc->setDescription( i18n("create kwlan dialup peer directory"));
            proc->start();
        }

    } else kdDebug() <<   i18n("/etc/ppp/peers does not exist. Dialup networking will not work.") << endl;
    KWlanMainWin *mainWin = new KWlanMainWin();
    mainWin->init();
}


